Commit 43cda781 authored by Natanael Copa's avatar Natanael Copa

main/irssi: security upgrade to 1.1.2 (CVE-2019-5882)

fixes #9864
parent bd62a971
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=irssi
pkgver=1.1.1
pkgrel=1
pkgver=1.1.2
pkgrel=0
pkgdesc="Modular textUI IRC client with IPv6 support"
url="https://irssi.org/"
arch="all"
......@@ -14,6 +14,8 @@ source="https://github.com/$pkgname/$pkgname/releases/download/$pkgver/$pkgname-
builddir="$srcdir"/$pkgname-$pkgver
# secfixes:
# 1.1.2-r0:
# - CVE-2019-5882
# 1.0.3-r0:
# - CVE-2017-9468
# - CVE-2017-9469
......@@ -87,5 +89,5 @@ proxy() {
mv "$pkgdir"/usr/lib/irssi/modules/libirc_proxy.* "$subpkgdir"/usr/lib/irssi/modules/
}
sha512sums="b2fc0805d6213c31bc34c48237baf2e33ac509c0fa09c483fd39f1473e32eee227ff4532efc60fb495c2ec263c05290578bca7ad6d39149e0594f864da5986c0 irssi-1.1.1.tar.xz
sha512sums="706f811c810b976888101a29bab6ff6b9aa6116678994b3710d6b266bfbc0ae2be1d4fd889aedfbf0a13a2e3da3f1affcce0018346ecc582865eaccd8cc79f84 irssi-1.1.2.tar.xz
6b5d987a9aeb189f3926272b37c631d04403832b495004779e8c23e9925a19349c7303927bab65b964ecb631fe7ac2394cf1c8e42ab69e300e30a121a95215ad libressl-2.7.patch"
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment